<?php
 @session_start();
  $vg_login=$_SESSION["usuario"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	
include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$ip=getenv("REMOTE_ADDR");


?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<title>SIVI</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<LINK REL="SHORTCUT ICON" HREF="../icono.ico">
<LINK href="../general.css" type=text/css rel=stylesheet>
<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="../bootstrap/js/bootstrap.min.js"></script>
<script src="../js/jquery.js" type="text/javascript"></script>

<link rel="stylesheet" href="../toastn/style.css">
<script src="../toastn/cute-alert.js"></script>

  <link rel="stylesheet" href="../plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="../plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
  <link rel="stylesheet" href="../plugins/datatables-buttons/css/buttons.bootstrap4.min.css">

</head>


<BODY >
<?php
include "../conexion.php";
$id="";$nombre="";$estado="";

$formulario=$_REQUEST["formulario"];
$nformulario=strtoupper($_REQUEST["formulario"]);
							  
if(isset($_REQUEST["oculto"]))
{ 
       	$id=$_REQUEST["id"];   		
		$nombre=$_REQUEST["nombre"];   
		$estado=$_REQUEST["estado"];  

	if($_REQUEST["oguardar"]==1)
	{		$vl_contar=0;
	 		 $sql_datoscontar=mysqli_query($conexion,"select count(*) as cantidad  from $formulario where nombre='".$nombre."'");
			  while($datos= mysqli_fetch_row($sql_datoscontar)){ $vl_contar=$datos[0];}
			 if($vl_contar>=1){$mensaje="Ya esta registrado el nombre";  $tipo="error";}
			 else
			  { 
			   $sql_insert=mysqli_query($conexion,"INSERT INTO $formulario (nombre,estado) VALUES    ('".$nombre."','A')");
							 if ($sql_insert) 
								{   $mensaje="Registro guardado con exito"; $tipo="success";
									$valor=1;	
								}
							 else
								 { $mensaje="Error al guardar el registro";$tipo="error"; }
			  }		
			  
			  
				?>				  
				<script>
				cuteToast({
					  type: "<?php echo $tipo; ?>", // or 'info', 'error', 'warning'
					  message: "<?php echo $mensaje; ?>",
					  timer: 3000
					})
				</script>
			   <?php			 
	}
	
	
	if($_REQUEST["omodificar"]==1 && $id>0)
	{		$vl_contar=0;
	  		$sql_datoscontar=mysqli_query($conexion,"select count(*) as cantidad  from $formulario where id=".$id."");
			 while($datos= mysqli_fetch_row($sql_datoscontar)){ $vl_contar=$datos[0];}
			 if($vl_contar==0)
			 		{$mensaje="No existe el codigo a modificar"; $tipo="error";
					}
			 else
			  {
			   	$sql_insert=mysqli_query($conexion,"update  $formulario  set   nombre='".trim($nombre)."',
										estado='".trim($estado)."'
										 where id=".$id."");
							 if ($sql_insert) 
								{   $mensaje="Registro modificado con exito";$tipo="success";
									$valor=1;	
								}
							 else
								 { $mensaje="Error al modificar el registro";$tipo="error"; }
			  }
			  
			  ?>				  
				<script>
				cuteToast({
					  type: "<?php echo $tipo; ?>", // or 'info', 'error', 'warning'
					  message: "<?php echo $mensaje; ?>",
					  timer: 3000
					})
				</script>
			   <?php	
	}
	
	
	if($_REQUEST["ocancelar"]==1)
	{
		$id="";$nombre="";$estado="";
	}
}


if($_REQUEST["Obuscar"]==1)
{
  $sql_datosrs=mysqli_query($conexion,"SELECT id,nombre,estado from $formulario
							where id='".$_REQUEST["id"]."'");
 $id=$_REQUEST["id"];
 while($datos= mysqli_fetch_row($sql_datosrs)){ $nombre=$datos[1]; $estado=$datos[2];}
}



?>
<form name="parametros" method="post" action="" >

<div id="informes" class="container text-center" style="width:60%;">
    <div class="panel panel-primary">
      <div class="panel-heading"><?php echo $nformulario; ?></div>
      <div align="center">
      
			<table width="100%" border="0" cellspacing="0" cellpadding="0" class="texto" >
                    <tr> 
                      <td width="112" height="0"> <div align="center">Codigo                        </div></td>
                      <td width="686"><input name="id" type="text"   id="id" value="<?php echo $id; ?>" 
                         class="form-control" data-placement="right"  style="width: 150px" 
								onKeyPress="if(event.keyCode==13){nombre.focus();} if(event.keyCode>=48 && event.keyCode<=58){} else {event.keyCode=8;}"
								onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"></td>
                    </tr>
                    <tr> 
                      <td height="1"><div align="center">Nombre                        </div></td>
                      <td height="1"><input name="nombre" type="text"   id="nombre" value="<?php echo $nombre; ?>"
                         class="form-control" data-placement="right"  style="width: 350px" 
								onKeyPress="if(event.keyCode==13){estado.focus();} "
								onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'"></td>
                    </tr>
                    <tr> 
                      <td height="3"> <div align="center">Estado                        </div></td>
                      <td height="3"><select name="estado" id="estado" 
                         class="form-control" data-placement="right"  style="width: 150px" 
                         onFocus="this.style.background='#ccffff'" onBlur="this.style.background='#ffffff'" >
                        <?PHP
							  if($estado=="A"){echo "<option value='A' selected>Activo</option>";}
							  else {echo "<option value='A' >Activo</option>";}
							  if($estado=="I"){echo "<option value='I' selected>Inactivo</option>";}
							  else {echo "<option value='I' >Inactivo</option>";}
							?>
                      </select></td>
                    </tr>
                    <tr> 
                      <td colspan="2"><div align="center"> 
                          <input name="buscar" type="hidden" id="buscar" value="Busca" title="Clic para Buscar" class="btn" onClick="jq_busca_datos_parametros(document.parametros.id.value,'<?php echo $formulario;?>');" >
                          <input name="guardar" type="button" id="guardar" value="Guardar" title="Clic para Guardar"  class="btn btn-primary" onClick="return pregunta_guardar();" >
                          <input name="modificar" type="button" id="modificar" value="Modificar" class="btn btn-primary" title="Clic para Modificar" onClick="return pregunta_modificar();">
                          <input name="cancelar" type="button" id="cancelar" value="Cancelar" class="btn btn-primary" title="Clic para cancelar los datos" onClick="ocancelar.value=1;submit();">
                          <input name='rep' type='hidden'  id='rep' value='Reporte'   class="btn btn-primary" title="Clic para ver reporte"
						  onClick="javascript:window.open('frm_reporteparametros.php?tabla=<?php echo $formulario;?>','ReporteParametros','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=500');" >
                          <br>
                          <input name="oguardar" type="hidden" id="oguardar">
                          <input name="Obuscar" type="hidden" id="Obuscar">
                          <input name="omodificar" type="hidden" id="omodificar">
                          <input name="oculto" type="hidden" id="oculto">
                          <input name="ocancelar" type="hidden" id="ocancelar">
                          <br>
                        </div></td>
                    </tr>
                  </table>
                    
  
    </div>
  </div>
  
  <?php
  
  
  echo "<center> <table id='example1' class='table table-bordered table-striped' style='font-size:12px;' cellpadding='0' cellspacing='0'  bordercolor='#cccccc'>";
	echo "<thead><tr>";
	echo "<th  class='btn-primary' >Codigo</th>";
	echo "<th class='btn-primary'>Nombre</th>";
	echo "<th class='btn-primary'>Estado</th>";
	echo "</tr></thead><tbody>";	
	$sql_datosre=mysqli_query($conexion,"SELECT id,nombre,estado from $formulario order by id asc");
	$c=1; 
	while($datos= mysqli_fetch_row($sql_datosre))//01
		{   
		   $id=$datos[0];
		   $nombre=$datos[1];
		   $estado=$datos[2];
		   if($estado=='A'){$nestado="Activo";}
		   if($estado=='I'){$nestado="Inactivo";}
	
		    if($c%2==0){$color="#EAEAEA";}
			else {$color="#BFBFBF";}
			echo " <tr >";
					  echo "<td><a href='frm_parametrosbase.php?id=$id&formulario=$formulario&Obuscar=1'>$id</a></td>";
					 echo "<td>".$nombre."</td>";
					 echo "<td>".$nestado."</td>";
					 echo "</tr>";
				$c=$c+1;
		 }
	 echo "</tbody></table></center>"; 
  
  ?>
  
  
  </div>
  
  
  
<SCRIPT type=text/javascript>

function pregunta_guardar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Procesar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   {
		   retorno_valida=valida_campos();
			if(retorno_valida==false)
			   {document.parametros.oguardar.value=0; 
				return false;
				}
			else
			  { document.parametros.oguardar.value=1; 
				document.parametros.submit(); 
				return true;
			  }
	   } 
	  else {
		document.parametros.oguardar.value=0;
		    return false; 
	  }
	})
}  

function pregunta_modificar(){ 
	cuteAlert({
	  type: "question",
	  title: "Confirmar Para Procesar",
	  message: "",
	  confirmText: "Ok",
	  cancelText: "Cancel"
	}).then((e)=>{
	  
	  if( e == "confirm")
	   { 
	   		document.parametros.omodificar.value=1; 
			document.parametros.submit(); 
			return true;
	   } 
	  else 
	   {
		 	document.parametros.omodificar.value=0;
		    return false; 
	  }
	})
}  

function valida_campos()
{   var mensaje='';
//return true;
	
		 if(document.parametros.nombre.value!=''){}
		 else {mensaje=mensaje + 'Nombre';    }

		if(document.parametros.nombre.value!=''){return true;}
		else {
			  cuteAlert({
						  type: "error",
						  title: "SIVI",
						  message: " Informacion Requerida: " + mensaje,
						  buttonText: "Ok"
						})
						
			  return false;
			 }


}

</script>


<script src="../plugins/jquery/jquery.min.js"></script>
<script src="../plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="../plugins/datatables/jquery.dataTables.min.js"></script>
<script src="../plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="../plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="../plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="../plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="../plugins/jszip/jszip.min.js"></script>
<script src="../plugins/pdfmake/pdfmake.min.js"></script>
<script src="../plugins/pdfmake/vfs_fonts.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="../plugins/datatables-buttons/js/buttons.colVis.min.js"></script>
<script>
  $(function () {
    $("#example1").DataTable({
      "responsive": true, 
	  "lengthChange": false, 
	  "autoWidth": false,
      "buttons": ["excel"],
	  "order": [ 0, 'desc' ]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
  });
</script>


</form>
</body>
</html>
